Package docking.action

# Class GlobalFocusTraversalAction

java.lang.Object
docking.action.DockingAction
docking.action.GlobalFocusTraversalAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public class GlobalFocusTraversalAction extends DockingAction
Action for global focus traversal.

The Java focus system suggests that both TAB and <CTRL> TAB move the focus to the next component in the focus traversal cycle. It also suggests that both <SHIFT> TAB and <CTRL><SHIFT> TAB move the focus to the previous component in the focus traversal cycle.

However, the implementation across Look And Feels and some components within those Look and Feels are inconsistent with regards the <CTRL> version of these keys. Rather than try and find and fix all the inconsistencies across all components and Look And Feels, we process the <CTRL> version of focus traversal using global reserved actions. We can't take the same approach for the base TAB and <SHIFT> TAB because these really do need to be component specific as some components use these keys for some other purpose other than focus traversal.

This global processing of <CTRL> TAB and <CTRL><SHIFT> TAB can be disabled by setting the system property `GLOBAL_FOCUS_TRAVERSAL_PROPERTY` to "false"

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalFocusTraversalAction(KeyStroke keybinding, boolean forward)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionContext context)`
  method to actually perform the action logic for this action.

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isAddToPopup, isEnabled, isEnabledForContext, isValidContext, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDefaultKeyBindingData, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### GlobalFocusTraversalAction

    public GlobalFocusTraversalAction(KeyStroke keybinding, boolean forward)

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionContext context)
    Description copied from interface: `DockingActionIf`
    method to actually perform the action logic for this action.
    Specified by:
      `actionPerformed` in interface `DockingActionIf`
    Specified by:
      `actionPerformed` in class `DockingAction`
    Parameters:
      `context` - the `ActionContext` object that provides information about where and how this action was invoked.